=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev (>= 4:20.12.3~),
-               libkf5compactdisc-dev (>= 4:20.12.3~),
+               libkf5cddb-dev (>= 4:21.08.1~),
+               libkf5compactdisc-dev (>= 4:21.08.1~),
                libkf5config-dev (>= 5.68.0~),
                libkf5doctools-dev (>= 5.68.0~),
                libkf5i18n-dev (>= 5.68.0~),
