## audiocd-kio 22.08.1

=== debian/changelog ===
audiocd-kio (4:22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Add copyright information for app metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 03 Oct 2022 16:15:40 +0200
