=== debian/control ===
--- 
+++ 
@@ -8,24 +8,24 @@
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.83.0~),
+               extra-cmake-modules (>= 5.96.0~),
                gettext,
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev,
+               libkf5cddb-dev (>= 4:22.04.0~),
                libkf5compactdisc-dev,
-               libkf5config-dev (>= 5.83.0~),
-               libkf5doctools-dev (>= 5.83.0~),
-               libkf5i18n-dev (>= 5.83.0~),
-               libkf5kcmutils-dev (>= 5.83.0~),
-               libkf5kio-dev (>= 5.83.0~),
+               libkf5config-dev (>= 5.96.0~),
+               libkf5doctools-dev (>= 5.96.0~),
+               libkf5i18n-dev (>= 5.96.0~),
+               libkf5kcmutils-dev (>= 5.96.0~),
+               libkf5kio-dev (>= 5.96.0~),
                libogg-dev,
                libphonon4qt5-dev,
                libvorbis-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio
