=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libphonon4qt5-dev,
                libvorbis-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.15.0~),
+               qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://www.kde.org/
