## audiocd-kio 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 project(audiocd VERSION "5.0.0")
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF_MIN_VERSION "5.83.0")
+set(QT_MIN_VERSION "5.15.2")
+set(KF_MIN_VERSION "5.96.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -21,7 +21,10 @@
 include(FeatureSummary)
 include(KDEGitCommitHooks)
 
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets)
+if (QT_MAJOR_VERSION STREQUAL 6)
+    find_package(Qt6 REQUIRED COMPONENTS Core5Compat)
+endif()
 
 find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Config
@@ -30,7 +33,7 @@
     KIO
     KCMUtils
 )
-find_package(KF5Cddb)
+find_package(KF5Cddb 5.1)
 set_package_properties(KF5Cddb PROPERTIES
     DESCRIPTION "KF5 branch for CDDB library"
     URL "https://commits.kde.org/libkcddb"
@@ -77,22 +80,11 @@
 configure_file(config-audiocd.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-audiocd.h)
 
 #############################
-set(CMAKE_CXX_STANDARD 17)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
 add_definitions(
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F02
     -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055000
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800
     -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DQT_NO_FOREACH
-    -DQT_NO_KEYWORDS
-    -DQT_NO_URL_CAST_FROM_STRING
-    -DQT_NO_CAST_FROM_ASCII
-    -DQT_NO_CAST_TO_ASCII
-    -DQT_NO_CAST_FROM_BYTEARRAY
-    -DQT_STRICT_ITERATORS
-    -DQT_USE_QSTRINGBUILDER
-    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
 )
 
 add_subdirectory(plugins)
@@ -102,16 +94,16 @@
 
 add_library(kio_audiocd MODULE)
 target_sources(kio_audiocd PRIVATE
-    audiocd.cpp
+    audiocd.cpp audiocd.h
 )
 
 ecm_qt_declare_logging_category(kio_audiocd
     HEADER audiocd_kio_debug.h
     IDENTIFIER AUDIOCD_KIO_LOG
-    CATEGORY_NAME kf.kio.slaves.audiocd
-    OLD_CATEGORY_NAMES kf5.kio.audiocd
+    CATEGORY_NAME kf.kio.workers.audiocd
+    OLD_CATEGORY_NAMES kf5.kio.audiocd kf.kio.slaves.audiocd
     DEFAULT_SEVERITY Warning
-    DESCRIPTION "audiocd KIO slave"
+    DESCRIPTION "audiocd KIO worker"
     EXPORT AUDIOCD
 )
 
@@ -124,8 +116,11 @@
     Qt::Widgets
     Cdparanoia::Cdparanoia
 )
+if (TARGET Qt6::Core5Compat)
+    target_link_libraries(kio_audiocd Qt6::Core5Compat)
+endif()
 
-install(TARGETS kio_audiocd  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)
+install(TARGETS kio_audiocd  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/kio)
 
 ecm_qt_install_logging_categories(
     EXPORT AUDIOCD
