=== debian/control ===
--- 
+++ 
@@ -33,8 +33,8 @@
 
 Package: kio-audiocd
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: lame
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: lame,
 Description: transparent audio CD access for applications using the KDE Platform
  This package includes the audiocd KIO plugin, which allows applications using
  the KDE Platform to read audio from CDs and automatically convert it into other
@@ -45,7 +45,7 @@
 Package: kio-audiocd-dev
 Section: devel
 Architecture: any
-Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
+Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends},
 Description: development files for the audio CD KIO plugin
  This package contains development files for building plugins for the audio CD
  KIO plugin.
