## audiocd-kio 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(audiocd VERSION "5.0.0")
+project(audiocd VERSION "5.1.0")
 
 set(QT_MIN_VERSION "5.15.2")
 set(KF_MIN_VERSION "5.96.0")
@@ -20,39 +20,58 @@
 include(CheckStructHasMember)
 include(FeatureSummary)
 include(KDEGitCommitHooks)
+include(ECMDeprecationSettings)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets)
 if (QT_MAJOR_VERSION STREQUAL 6)
     find_package(Qt6 REQUIRED COMPONENTS Core5Compat)
 endif()
 
-find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Config
     I18n
     DocTools
     KIO
     KCMUtils
 )
-find_package(KF5Cddb 5.1)
-set_package_properties(KF5Cddb PROPERTIES
-    DESCRIPTION "KF5 branch for CDDB library"
-    URL "https://commits.kde.org/libkcddb"
-    TYPE REQUIRED
-    PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet."
-)
-find_package(KF5CompactDisc)
-set_package_properties(KF5CompactDisc PROPERTIES
-    DESCRIPTION "KCompactDisc library"
-    URL "https://commits.kde.org/libkcompactdisc"
-    TYPE REQUIRED
-    PURPOSE "libkcompactdisc is used to access CD drives."
-)
-
-ecm_setup_version(${audiocd_VERSION}
-    VARIABLE_PREFIX AUDIOCDPLUGINS
-    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/audiocdplugins_version.h"
-    SOVERSION 5
-)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    find_package(KCompactDisc6)
+    set_package_properties(KCompactDisc6 PROPERTIES
+        DESCRIPTION "KCompactDisc library"
+        URL "https://commits.kde.org/libkcompactdisc"
+        TYPE REQUIRED
+        PURPOSE "libkcompactdisc is used to access CD drives."
+    )
+    find_package(KCddb6 5.1)
+    set_package_properties(KCddb6 PROPERTIES
+        DESCRIPTION "Library used to retrieve audio CD metadata from the Internet"
+        URL "https://commits.kde.org/libkcddb"
+        TYPE REQUIRED
+        PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet."
+    )
+else()
+    find_package(KF5CompactDisc)
+    set_package_properties(KF5CompactDisc PROPERTIES
+        DESCRIPTION "KCompactDisc library"
+        URL "https://commits.kde.org/libkcompactdisc"
+        TYPE REQUIRED
+        PURPOSE "libkcompactdisc is used to access CD drives."
+    )
+    find_package(KF5Cddb 5.1)
+    set_package_properties(KF5Cddb PROPERTIES
+        DESCRIPTION "Library used to retrieve audio CD metadata from the Internet"
+        URL "https://commits.kde.org/libkcddb"
+        TYPE REQUIRED
+        PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet."
+    )
+endif()
 
 find_package(Cdparanoia REQUIRED)
 
@@ -80,13 +99,9 @@
 configure_file(config-audiocd.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-audiocd.h)
 
 #############################
-add_definitions(
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F02
-    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800
-    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
-)
-
+ecm_set_disabled_deprecation_versions(QT 6.4
+    KF 5.101.0
+    )
 add_subdirectory(plugins)
 add_subdirectory(kcmaudiocd)
 add_subdirectory(data)
@@ -111,13 +126,14 @@
 
 target_link_libraries(kio_audiocd
     audiocdplugins
-    KF5::CompactDisc
-    KF5::I18n
+    KF${KF_MAJOR_VERSION}::I18n
     Qt::Widgets
     Cdparanoia::Cdparanoia
 )
-if (TARGET Qt6::Core5Compat)
-    target_link_libraries(kio_audiocd Qt6::Core5Compat)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(kio_audiocd Qt6::Core5Compat KCompactDisc6)
+else()
+    target_link_libraries(kio_audiocd KF5::CompactDisc)
 endif()
 
 install(TARGETS kio_audiocd  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/kio)
