=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev (>= 4:23.08.1~),
-               libkf5compactdisc-dev (>= 4:23.08.1~),
+               libkf5cddb-dev (>= 4:23.08.5~),
+               libkf5compactdisc-dev (>= 4:23.08.5~),
                libkf5config-dev (>= 5.96.0~),
                libkf5doctools-dev (>= 5.96.0~),
                libkf5i18n-dev (>= 5.96.0~),
