## audiocd-kio 24.08.2

=== debian/changelog ===
audiocd-kio (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 13:31:51 +0000

audiocd-kio (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Recommend systemsettings for the KCM, override corresponding lintian
    warning.
  * Switch to declarative KF6 debhelper build sequence.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 24 Oct 2024 17:14:52 +0200
