## audiocd-kio 24.12.0

=== debian/changelog ===
audiocd-kio (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing dependencies to the dev package.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 00:05:29 +0100
